%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		bijiben
Version:	3.10.2
Release:	%mkrel 1
Summary:	Simple Note Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Bijiben
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		bijiben-3.10.1-fix-str-fmt.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.19
BuildRequires:	pkgconfig(tracker-sparql-0.16)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zeitgeist-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	itstool
BuildRequires:	libxml2-utils

%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-schemas-compile \
	--disable-update-mimedb \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

rm -f %{buildroot}/usr/doc/%{name}/*

%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc NEWS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/appdata/bijiben.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.bijiben.gschema.xml
%{_datadir}/gnome-shell/search-providers/bijiben-search-provider.ini
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/*/*/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}
%{_libexecdir}/%{name}-shell-search-provider
%{_datadir}/dbus-1/services/org.gnome.Bijiben.SearchProvider.service


%changelog
* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550626
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542067
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 fwang <fwang> 3.10.1-1.mga4
+ Revision: 496849
- fix str fmt

  + ovitters <ovitters>
    - new version 3.10.1
    - dropped merged patch 1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484518
- fix po files
- new version 3.10.0

  + fwang <fwang>
    - update url

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474555
- update file list

  + ovitters <ovitters>
    - new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467579
- new version 3.9.90

* Tue Jul 30 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 460776
- uses --disable-update-mimedb for now
- updates %%files

  + ovitters <ovitters>
    - new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458188
- new version 3.9.4
- update BR (zeitgeist-2.0)
- add BR (goa-1.0)
- update %%files

* Wed Jun 19 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 445165
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427474
- update file list
- update br
- new version 3.8.2
- new version 3.7.90
- new version 3.7.5

* Mon Jan 14 2013 ovitters <ovitters> 3.7.4-1.mga3
+ Revision: 380345
- new version 3.7.4

* Fri Jan 11 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 346902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 3.7.3-1.mga3
+ Revision: 331967
- add patch to fix sl translation
- br libxml2-util
- br itstool
- drop merged patch
- package help files
- remove packaging workaround
- new version 3.7.3

* Thu Nov 22 2012 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 321046
- br gnome-doc-utils
- imported package bijiben

